/*
 * @Descripttion: 企业设置
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-07-24 12:19:48
 * @LastEditors: 无尘
 * @LastEditTime: 2020-08-07 15:41:20
 */
import getFetch from './get-fetch.js';

let api = {
  wxEnterpriseRefresh: '/setting/wx-enterprise-info-flush', // 同步刷新
  wxEnterpriseDetail: '/setting/wx-enterprise-info', // 获取企业信息
  getSelfApp: '/setting/secret-list', // 获取企业信息
  addSelfApp: {
    url: '/setting/set-secret', // 添加自建应用
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  editSelfApp: {
    url: '/setting/set-secret', // 编辑自建应用
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  delSelfApp: {
    url: '/setting/del-secret', // 删除自建应用
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  refreshSelfApp: {
    url: '/setting/reflush-secret', // 刷新自建应用
    method: 'post',
    useFormData: true
  },
  getAdmin: '/setting/super-admin-list', // 获取超级管理员
};

api = getFetch(api, '/hb-manage-web');

export default api;
