/*
 * @Descripttion: 审核
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-07-24 12:19:48
 * @LastEditors: 无尘
 * @LastEditTime: 2020-08-07 15:50:42
 */
import getFetch from './get-fetch.js';

let api = {
  getReview: '/audit/audit-list', // 获取审核列表
  getWxEnterprise: '/auth-enterprise-list', // 获取商户列表信息
  getStaffInfo: '/get-staff-info', // 获取商户列表信息
  postAudit: {
    url: '/audit/agree', // 同意
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  postBatchApprove: {
    url: '/audit/batch-agree', // 批量同意
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  postRefuse: {
    url: '/audit/refuse', // 拒绝
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getAuditDetail: '/audit/batch-log-list', // 同意详情
  getAuditGroupList: '/auditGroup/audit-group-list', // 获取审核组列表
  delAuditGroup: '/auditGroup/del-audit-group', // 删除审核组
  auditGroupDetail: '/auditGroup/audit-group-detail', // 获取审核组详情
  editAuditGroup: {
    url: '/auditGroup/edit-audit-group',
    method: 'post',
    useFormData: true
  }, // 编辑审核组
  addAuditGroup: {
    url: '/auditGroup/add-audit-group',
    method: 'post',
    useFormData: true
  }, // 新增审核组
  getAdminList: '/auditGroup/select-manager-list', // 新建、编辑审核组-管理员列表
  auditItemList: '/auditGroup/audit-item-list', // 审核事项列表
  delAuditItem: '/auditGroup/del-audit-item', // 删除审核事项
  addAuditItem: '/auditGroup/add-audit-item', // 添加审核事项
  editAuditItem: '/auditGroup/edit-audit-item', // 编辑审核事项
  auditItemDetail: '/auditGroup/audit-item-detail', // 审核事项详情
  findAuditSetting: '/audit/find-audit-setting', // 审核设置-查看
  saveAuditSetting: '/audit/save-audit-setting', // 审核设置-保存
};

api = getFetch(api, '/hb-manage-web');

export default api;
